<?php 
/**
 * class @var ST_WC_Rest_Api
 * type: WC
 */

class ST_WC_Rest_Api {

	/**
	 * Spacetree version.
	 *
	 * @var string
	 */
	public $version = '1.0.0';

    protected static $_instance = null;

    /**
	 * Main Spacetree Instance.
	 *
	 * Ensures only one instance of Spacetree is loaded or can be loaded.
	 *
	 * @since 1.0
	 * @static
	 * @see ST()
	 * @return Spacetree - Main instance.
	 */
	public static function instance() {
		if ( is_null( self::$_instance ) ) {
			self::$_instance = new self();
		}
		return self::$_instance;
	}

    public function __construct() {
        $this->includes();
    }

    public function includes(){
        include_once ST_PROQYZ_LICENSE_ABSPATH . "includes/rest-apis/public-apis.php";
        include_once ST_PROQYZ_LICENSE_ABSPATH . "includes/rest-apis/private-apis.php";
    }

}

return ST_WC_Rest_Api::instance();